<script setup>
// imports
import RoundLoadingIcon from "@/assets/svg/RoundLoadingIcon.vue"
// props
const props = defineProps({
    loading : {type : Boolean , defalut : false}
})
</script>

<template>
    <Transition name="fade">
        <div v-if="props.loading" class="fixed left-0 top-0 transition-all duration-1000 right-0 bottom-0 bg-background-primary-light dark:bg-background-primary-dark z-40 flex items-center justify-center flex-col gap-2">
        <RoundLoadingIcon class="!text-[#426bfd]" />
        <div>Loading</div>
    </div>
    </Transition>
</template>

<style scoped>
.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to {
  /* opacity: 0; */
  opacity: 0;
}
</style>